<?php

################################################################################
# Aastra XML API Classes - AastraIPPhoneConfigurationEntry
# Copyright Aastra Telecom 2007
#
# Internal class for AastraIPPhoneConfiguration object.
################################################################################

class AastraIPPhoneConfigurationEntry extends AastraIPPhone {
	var $_parameter;
	var $_value;

	function AastraIPPhoneConfigurationEntry($parameter, $value)
	{
		$this->setParameter($parameter);
		$this->setValue($value);
	}

	function setParameter($parameter)
	{
		$this->_parameter = $parameter;
	}

	function setValue($value)
	{
		$this->_value = $value;
	}

	function render()
	{
		$parameter = $this->escape($this->_parameter);
		$value = $this->escape($this->_value);
		$xml = "<ConfigurationItem>\n";
		$xml .= "<Parameter>".$parameter."</Parameter>\n";
		$xml .= "<Value>".$value."</Value>\n";
		$xml .= "</ConfigurationItem>\n";
		return($xml);
	}
}
?>