<?php
#
# XMLMail - Web based Voicemail for Asterisk (http://asterisk.org)
# 
# Copyright 2003 Siggi Langauf
#
# Config options
#
###########################################################################

# Application Name
$appName = "Voice Mail";

# complete path to asterisk's voicemail.conf
$voicemailconf = '/etc/asterisk/voicemail.conf';

# backend type (mysql|text)
$backendtype = "text";

# asterisk's voicemail spool directory
$vboxspool = '/var/spool/asterisk/voicemail';
$context   = 'default';
$boxbase   = "$vboxspool/$context";
$MAXMSG    = "99";
$fileMode  = "0660";
$dirMode   = "2770";

# CCM MWI integration
$mwiOnExt  = "6901";
$mwiOffExt = "6902";
$updateMWI = false; // should we updated MWI from the html/xml frontends

##
## parameters for the "vmailbridge.agi" script
##

# spool directory. vmailbridge.agi will look here for commands
$vmbridgedir = '/var/spool/asterisk/vmbridge';

# vmailbridge_channel will be called by asterisk, if no vmailbridge.agi is
# connected for this extension, yet. The vmailbridge.agi script must be
# available via the given $vmailbridge_extension
$vmbridge_gateway = '171.16.96.63';
$vmbridge_channel = 'OH323/h323:@extension@@'.$vmbridge_gateway;
$vmbridge_extension = '5550000';

# Asterisk's spool directory for outgoing .calls
# The PHP user must have write permissions to this dir.
$callspooldir = '/var/spool/asterisk/outgoing';

# IP address of the web server
# If you use name based virtual hosts, you'll need the server name instead...
$this_server_IP = $_SERVER['SERVER_ADDR'];

# config URL for this service (will be displayed as a hint to user)
# also, your CCM does most likely not support HTTPS ;-)
$userconfig_URL = "http://172.16.96.63/CCMUSER/";


#$language = 'de';
$language = 'en';

# Possible folders - taken from asterisk/apps/app_voicemail.c:mbox
$folderNames = array(
"INBOX",
"Old",
"Work",
"Family",
"Friends",
"Cust1",
"Cust2",
"Cust3",
"Cust4",
"Cust5",
);
?>
